> ## Documentation Index
> Fetch the complete documentation index at: https://docs.getmany.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Chat Rooms

> Returns a paginated list of chat rooms for the workspace's agency. Supports filtering by archived status, search, participants, pipeline stages, client-only messages, and multiple sort modes with cursor-based pagination.



## OpenAPI

````yaml GET /v1/master-inbox/rooms
openapi: 3.1.0
info:
  title: Getmany Service API
  description: This is the reference documentation and schemas for the Getmany Service API.
  version: 1.0.0
servers:
  - url: https://api.getmany.io/service
    description: Production
security:
  - bearerAuth: []
tags:
  - name: Agency
    description: >-
      Agency information tied to the workspace, including agency profile
      details, seat-holders in an agency, and aggregated proposal performance
      stats
  - name: Job Searches
    description: Saved search configurations that scan the Upwork market
  - name: Jobs Feed
    description: >-
      Endpoints related to retrieving the jobs list matching with a job search
      configuration
  - name: Bid Intents
    description: List and manage bidding intents
  - name: Miscellaneous
    description: Various general purpose endpoints
  - name: Master Inbox
    description: Chat room management and messaging endpoints
paths:
  /v1/master-inbox/rooms:
    get:
      tags:
        - Master Inbox
      summary: List chat rooms
      description: >-
        Returns a paginated list of chat rooms for the workspace's agency.
        Supports filtering by archived status, search, participants, pipeline
        stages, client-only messages, and multiple sort modes with cursor-based
        pagination.
      operationId: getV1Master-inboxRooms
      parameters:
        - in: query
          name: pageCursor
          schema:
            type: string
        - in: query
          name: pageSize
          schema:
            type: string
        - in: query
          name: search
          schema:
            type: string
        - in: query
          name: participants
          schema:
            type: string
        - in: query
          name: sort
          schema:
            type: string
            enum:
              - date-desc
              - date-asc
            description: Sort order for chat rooms.
            default: date-desc
        - in: query
          name: clientMessageOnly
          schema:
            type: string
            enum:
              - 'true'
              - 'false'
      responses:
        '200':
          description: Paginated chat rooms list
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: array
                    items:
                      type: object
                      properties:
                        roomId:
                          type: string
                          description: Upwork room identifier.
                        roomName:
                          type:
                            - string
                            - 'null'
                          description: Display name of the room.
                        topic:
                          type:
                            - string
                            - 'null'
                          description: Room topic.
                        roomType:
                          type:
                            - string
                            - 'null'
                          description: GROUP, INTERVIEW, or ONE_ON_ONE.
                        roomUsers:
                          type: array
                          items:
                            type: object
                            properties:
                              user:
                                type: object
                                properties:
                                  id:
                                    type: string
                                    description: Upwork user ID.
                                  nid:
                                    type:
                                      - string
                                      - 'null'
                                    description: Upwork NID.
                                  rid:
                                    type:
                                      - string
                                      - 'null'
                                    description: Upwork RID.
                                  name:
                                    type:
                                      - string
                                      - 'null'
                                    description: Display name.
                                  photoUrl:
                                    type:
                                      - string
                                      - 'null'
                                    description: Avatar URL.
                                required:
                                  - id
                                  - nid
                                  - rid
                                  - name
                                  - photoUrl
                              organization:
                                type:
                                  - object
                                  - 'null'
                                properties:
                                  id:
                                    type:
                                      - string
                                      - 'null'
                                    description: Organization ID.
                                  name:
                                    type:
                                      - string
                                      - 'null'
                                    description: Organization name.
                                  type:
                                    type:
                                      - string
                                      - 'null'
                                    description: BUSINESS or SOLE_PROPRIETOR.
                                  photoUrl:
                                    type:
                                      - string
                                      - 'null'
                                    description: Organization photo URL.
                                required:
                                  - id
                                  - name
                                  - type
                                  - photoUrl
                              role:
                                type:
                                  - string
                                  - 'null'
                                description: Participant role.
                            required:
                              - user
                              - organization
                              - role
                          description: Participants in the chat room.
                        lastStory:
                          type:
                            - object
                            - 'null'
                          properties:
                            storyId:
                              type: string
                              description: Upwork story ID.
                            message:
                              type: string
                              description: Message text.
                            user:
                              type:
                                - object
                                - 'null'
                              properties:
                                id:
                                  type: string
                                  description: Upwork user ID.
                                nid:
                                  type:
                                    - string
                                    - 'null'
                                  description: Upwork NID.
                                rid:
                                  type:
                                    - string
                                    - 'null'
                                  description: Upwork RID.
                                name:
                                  type:
                                    - string
                                    - 'null'
                                  description: Display name.
                                photoUrl:
                                  type:
                                    - string
                                    - 'null'
                                  description: Avatar URL.
                              required:
                                - id
                                - nid
                                - rid
                                - name
                                - photoUrl
                            createdDateTime:
                              type: string
                              format: date-time
                              description: When the message was sent (ISO-8601).
                            updatedDateTime:
                              type:
                                - string
                                - 'null'
                              format: date-time
                              description: When the message was last updated (ISO-8601).
                            attachments:
                              type:
                                - array
                                - 'null'
                              items:
                                type: object
                                properties:
                                  objectReferenceId:
                                    type:
                                      - string
                                      - 'null'
                                  objectType:
                                    type:
                                      - string
                                      - 'null'
                                  createdDateTime:
                                    type:
                                      - string
                                      - 'null'
                                    format: date-time
                                  author:
                                    type:
                                      - object
                                      - 'null'
                                    properties:
                                      user:
                                        type:
                                          - object
                                          - 'null'
                                        properties:
                                          id:
                                            type: string
                                            description: Upwork user ID.
                                          nid:
                                            type:
                                              - string
                                              - 'null'
                                            description: Upwork NID.
                                          rid:
                                            type:
                                              - string
                                              - 'null'
                                            description: Upwork RID.
                                          name:
                                            type:
                                              - string
                                              - 'null'
                                            description: Display name.
                                          photoUrl:
                                            type:
                                              - string
                                              - 'null'
                                            description: Avatar URL.
                                        required:
                                          - id
                                          - nid
                                          - rid
                                          - name
                                          - photoUrl
                                      organization:
                                        type:
                                          - object
                                          - 'null'
                                        properties:
                                          id:
                                            type:
                                              - string
                                              - 'null'
                                            description: Organization ID.
                                          name:
                                            type:
                                              - string
                                              - 'null'
                                            description: Organization name.
                                          type:
                                            type:
                                              - string
                                              - 'null'
                                            description: BUSINESS or SOLE_PROPRIETOR.
                                          photoUrl:
                                            type:
                                              - string
                                              - 'null'
                                            description: Organization photo URL.
                                        required:
                                          - id
                                          - name
                                          - type
                                          - photoUrl
                                      role:
                                        type:
                                          - string
                                          - 'null'
                                    required:
                                      - user
                                      - organization
                                      - role
                                  metadata:
                                    type:
                                      - array
                                      - 'null'
                                    items:
                                      type: object
                                      properties:
                                        key:
                                          type: string
                                        value:
                                          type: string
                                      required:
                                        - key
                                        - value
                                required:
                                  - objectReferenceId
                                  - objectType
                                  - createdDateTime
                                  - author
                                  - metadata
                              description: Message attachments.
                          required:
                            - storyId
                            - message
                            - user
                            - createdDateTime
                            - updatedDateTime
                            - attachments
                          description: Most recent message in the room.
                        unreadCount:
                          type: number
                          description: Number of unread messages.
                        organization:
                          type:
                            - object
                            - 'null'
                          properties:
                            id:
                              type:
                                - string
                                - 'null'
                              description: Organization ID.
                            name:
                              type:
                                - string
                                - 'null'
                              description: Organization name.
                            type:
                              type:
                                - string
                                - 'null'
                              description: BUSINESS or SOLE_PROPRIETOR.
                            photoUrl:
                              type:
                                - string
                                - 'null'
                              description: Organization photo URL.
                          required:
                            - id
                            - name
                            - type
                            - photoUrl
                          description: Room organization (client).
                        creator:
                          type:
                            - object
                            - 'null'
                          properties:
                            user:
                              type: object
                              properties:
                                id:
                                  type: string
                                  description: Upwork user ID.
                                nid:
                                  type:
                                    - string
                                    - 'null'
                                  description: Upwork NID.
                                rid:
                                  type:
                                    - string
                                    - 'null'
                                  description: Upwork RID.
                                name:
                                  type:
                                    - string
                                    - 'null'
                                  description: Display name.
                                photoUrl:
                                  type:
                                    - string
                                    - 'null'
                                  description: Avatar URL.
                              required:
                                - id
                                - nid
                                - rid
                                - name
                                - photoUrl
                            organization:
                              type:
                                - object
                                - 'null'
                              properties:
                                id:
                                  type:
                                    - string
                                    - 'null'
                                  description: Organization ID.
                                name:
                                  type:
                                    - string
                                    - 'null'
                                  description: Organization name.
                                type:
                                  type:
                                    - string
                                    - 'null'
                                  description: BUSINESS or SOLE_PROPRIETOR.
                                photoUrl:
                                  type:
                                    - string
                                    - 'null'
                                  description: Organization photo URL.
                              required:
                                - id
                                - name
                                - type
                                - photoUrl
                            role:
                              type:
                                - string
                                - 'null'
                              description: Participant role.
                          required:
                            - user
                            - organization
                            - role
                          description: User who created the room.
                        owner:
                          type:
                            - object
                            - 'null'
                          properties:
                            user:
                              type: object
                              properties:
                                id:
                                  type: string
                                  description: Upwork user ID.
                                nid:
                                  type:
                                    - string
                                    - 'null'
                                  description: Upwork NID.
                                rid:
                                  type:
                                    - string
                                    - 'null'
                                  description: Upwork RID.
                                name:
                                  type:
                                    - string
                                    - 'null'
                                  description: Display name.
                                photoUrl:
                                  type:
                                    - string
                                    - 'null'
                                  description: Avatar URL.
                              required:
                                - id
                                - nid
                                - rid
                                - name
                                - photoUrl
                            organization:
                              type:
                                - object
                                - 'null'
                              properties:
                                id:
                                  type:
                                    - string
                                    - 'null'
                                  description: Organization ID.
                                name:
                                  type:
                                    - string
                                    - 'null'
                                  description: Organization name.
                                type:
                                  type:
                                    - string
                                    - 'null'
                                  description: BUSINESS or SOLE_PROPRIETOR.
                                photoUrl:
                                  type:
                                    - string
                                    - 'null'
                                  description: Organization photo URL.
                              required:
                                - id
                                - name
                                - type
                                - photoUrl
                            role:
                              type:
                                - string
                                - 'null'
                              description: Participant role.
                          required:
                            - user
                            - organization
                            - role
                          description: Room owner.
                        vendorProposal:
                          type:
                            - object
                            - 'null'
                          properties:
                            id:
                              type: string
                            userId:
                              type: string
                            marketplaceJobPostingId:
                              type: string
                          required:
                            - id
                            - userId
                            - marketplaceJobPostingId
                          description: Linked vendor proposal.
                        contract:
                          type:
                            - object
                            - 'null'
                          properties:
                            id:
                              type:
                                - string
                                - 'null'
                            title:
                              type:
                                - string
                                - 'null'
                            contractType:
                              type:
                                - string
                                - 'null'
                            status:
                              type:
                                - string
                                - 'null'
                            createdDateTime:
                              type:
                                - string
                                - 'null'
                              format: date-time
                            startDateTime:
                              type:
                                - string
                                - 'null'
                              format: date-time
                            endDateTime:
                              type:
                                - string
                                - 'null'
                              format: date-time
                          required:
                            - id
                            - title
                            - contractType
                            - status
                            - createdDateTime
                            - startDateTime
                            - endDateTime
                          description: Linked contract.
                        contractId:
                          type:
                            - string
                            - 'null'
                          description: Contract ID if linked.
                        roomNote:
                          type:
                            - string
                            - 'null'
                          description: Internal note on the room.
                        roomNotePresent:
                          type: boolean
                          description: Whether the room has a note.
                        isPublic:
                          type: boolean
                          description: Whether the room is public.
                        favorite:
                          type: boolean
                          description: Whether the room is marked as favorite.
                        readOnly:
                          type: boolean
                          description: Whether the room is read-only.
                        hidden:
                          type: boolean
                          description: Whether the room is hidden.
                        muted:
                          type: boolean
                          description: Whether the room is muted.
                        blockDateTime:
                          type:
                            - string
                            - 'null'
                          format: date-time
                          description: When the room was blocked (ISO-8601).
                        blockedBy:
                          type:
                            - object
                            - 'null'
                          properties:
                            user:
                              type: object
                              properties:
                                id:
                                  type: string
                                  description: Upwork user ID.
                                nid:
                                  type:
                                    - string
                                    - 'null'
                                  description: Upwork NID.
                                rid:
                                  type:
                                    - string
                                    - 'null'
                                  description: Upwork RID.
                                name:
                                  type:
                                    - string
                                    - 'null'
                                  description: Display name.
                                photoUrl:
                                  type:
                                    - string
                                    - 'null'
                                  description: Avatar URL.
                              required:
                                - id
                                - nid
                                - rid
                                - name
                                - photoUrl
                            organization:
                              type:
                                - object
                                - 'null'
                              properties:
                                id:
                                  type:
                                    - string
                                    - 'null'
                                  description: Organization ID.
                                name:
                                  type:
                                    - string
                                    - 'null'
                                  description: Organization name.
                                type:
                                  type:
                                    - string
                                    - 'null'
                                  description: BUSINESS or SOLE_PROPRIETOR.
                                photoUrl:
                                  type:
                                    - string
                                    - 'null'
                                  description: Organization photo URL.
                              required:
                                - id
                                - name
                                - type
                                - photoUrl
                            role:
                              type:
                                - string
                                - 'null'
                              description: Participant role.
                          required:
                            - user
                            - organization
                            - role
                          description: User who blocked the room.
                        lastStoryId:
                          type:
                            - string
                            - 'null'
                          description: ID of the most recent story.
                        lastStoryAt:
                          type:
                            - string
                            - 'null'
                          format: date-time
                          description: When the last story was sent (ISO-8601).
                        lastSyncedAt:
                          type:
                            - string
                            - 'null'
                          format: date-time
                          description: When the room was last synced (ISO-8601).
                        numUsers:
                          type:
                            - number
                            - 'null'
                          description: Number of users in the room.
                        storiesCount:
                          type:
                            - number
                            - 'null'
                          description: Total number of messages synced.
                        createdAtDateTime:
                          type:
                            - string
                            - 'null'
                          format: date-time
                          description: When the room was created (ISO-8601).
                      required:
                        - roomId
                        - roomName
                        - topic
                        - roomType
                        - roomUsers
                        - lastStory
                        - unreadCount
                        - organization
                        - creator
                        - owner
                        - vendorProposal
                        - contract
                        - contractId
                        - roomNote
                        - roomNotePresent
                        - isPublic
                        - favorite
                        - readOnly
                        - hidden
                        - muted
                        - blockDateTime
                        - blockedBy
                        - lastStoryId
                        - lastStoryAt
                        - lastSyncedAt
                        - numUsers
                        - storiesCount
                        - createdAtDateTime
                  meta:
                    type: object
                    properties:
                      pageSize:
                        type: number
                      nextCursor:
                        type:
                          - string
                          - 'null'
                    required:
                      - pageSize
                      - nextCursor
                required:
                  - data
                  - meta
        '404':
          description: Agency not found
          content:
            application/problem+json:
              schema:
                type: object
                properties:
                  type:
                    type: string
                    format: uri
                  title:
                    type: string
                  status:
                    type: number
                  detail:
                    type: string
                  instance:
                    type: string
                    format: uri
                required:
                  - type
                  - title
                  - status
                  - detail
                  - instance
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````